Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80296 - Can't see any japanese truetype fonts
Summary: Can't see any japanese truetype fonts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: ttfonts-ja
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nakai
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-24 06:51 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-22 21:18:50 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-24 06:51:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
try this:
# gnome-font-properties
there are no Kochi-fonts.
or
start mozilla> preferences> fonts> Japanese
You'll see "No fonts available".

I installed kochi-fonts, but I can't see them.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.# gnome-font-properties
2.there are no Kochi-fonts


Actual Results:  I can't see any japanese truetype fonts. 

Expected Results:  I CAN see japanese truetype fonts. 

Additional info:

Gnome2 uses truetype fonts, 
so we can't see any characters.
I'm waiting for your next beta (or fixed phoebe) ;)

Comment 1 Warren Togami 2002-12-24 07:46:51 UTC
Did you install in X graphical mode?  My text grahpical mode installation
crashed near the end before it installed some Japanese packages.  Did you see
any error messages near the end of the installation?


Comment 2 Need Real Name 2002-12-24 08:03:18 UTC
>Did you install in X graphical mode?
yes.

>Did you see any error messages near the end of the installation?
no.

I use nVidia's geforce2mx-64mb and sony multiscan E200.
Did you check md5 sums?


Comment 3 Warren Togami 2002-12-24 08:26:32 UTC
Yes, my MD5SUMS were valid.

I'm not 100% sure this is a missing or corrupted package issue, I still haven't
done a graphical Phoebe install yet.  I'm trying that next.


Comment 4 Need Real Name 2002-12-24 08:43:34 UTC
>Yes, my MD5SUMS were valid.

OK, when I installed phoebe, I selected "Custom Install".
then I selected these packages:
 gnome desktop
 kde desktop
 other window managers(?? I don't remember..) 
 tools for development(gnome-dev, kde-dev, etc)
They need about 2.5gb disk usage.
I didn't select server packages.

Comment 5 Warren Togami 2002-12-24 11:17:47 UTC
Bug 80314 might be related to this problem, not entirely sure.


Comment 6 Bill Nottingham 2002-12-24 21:26:24 UTC
We don't have a 'kochi-fonts' package - is this a different package you're talking
about?

Where does it install the fonts to?

Comment 7 Need Real Name 2002-12-25 05:16:41 UTC
Bill,
I wrote:
  Component: ttfonts-ja
so just download "ttfonts-ja-1.2-17.noarch.rpm",
then do it:
  # rpm2cpio ttfonts-ja-1.2-17.noarch.rpm | cpio -id
    
>Where does it install the fonts to?

You'll find "kochi-gothic.ttf" and " kochi-mincho.ttf" in
/usr/share/fonts/ja/TrueType .

I'll delete phoebe soon, I'm waiting for next beta..

Comment 8 Bill Nottingham 2002-12-25 05:34:12 UTC
Hm, I can see those fonts here, but my box is an upgrade, not a fresh install.
Will have to check on a fresh install sometime towards the new year.

Comment 9 Need Real Name 2002-12-26 18:54:39 UTC
Now I can see Japanese TrueType fonts.
I did like this:
---
# cd /usr/share/fonts/ja/
# rm -rf default*
# rm -rf fonts.cache-1
# fc-cache
# gnome-font-properties
->select kochi-gothic
->logout
-->login
---
and you'll be able to see Japanese characters!

Comment 10 Bill Nottingham 2002-12-30 06:03:17 UTC
Hm, sounds like something odd with how fontconfig handled that package install?

Comment 11 Need Real Name 2003-01-22 09:31:58 UTC
fixed in phoebe2. thanks.


Note You need to log in before you can comment on or make changes to this bug.